% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/formatConverter.R
\name{.exportToLinkSet}
\alias{.exportToLinkSet}
\title{Convert validated pairs to linkSet object}
\usage{
.exportToLinkSet(
  cd,
  scoreCol = "score",
  cutoff = 0,
  b2bcutoff = NULL,
  order = c("position", "score")[1],
  removeMT = TRUE
)
}
\arguments{
\item{cd}{A data frame containing validated pairs data}
\item{scoreCol}{Column name for score}
\item{cutoff}{Cutoff for score}
\item{b2bcutoff}{Cutoff for bidirectional pairs}
\item{order}{Order of pairs (position or score)}
\item{removeMT}{Logical indicating whether to remove mitochondrial pairs}
}
\value{
A linkSet object constructed from the validated pairs data
}
\description{
Internal function to convert validated pairs data to a linkSet object format
}
\keyword{internal}
